Loading...
Searching...
No Matches
IsoSpec::Allocator< T > Class Template Reference

## Public Member Functions

| Allocator (const int dim, const int tabSize=10000)
| Allocator (const Allocator &other)=delete
Allocator & | operator= (const Allocator &other)=delete
void | shiftTables ()
T * | newConf ()
T * | makeCopy (const T *conf)

## Detailed Description

template<typename T>
class IsoSpec::Allocator< T >

Definition at line 33 of file allocator.h.

## Constructor & Destructor Documentation

## Allocator()

template<typename T>

IsoSpec::Allocator< T >::Allocator | ( | const int | dim,
|  | const int | tabSize = 10000 )

explicit

Definition at line 24 of file allocator.cpp.

## ~Allocator()

template<typename T>

IsoSpec::Allocator< T >::~Allocator | ( |  | ) |

Definition at line 28 of file allocator.cpp.

## Member Function Documentation

## makeCopy()

template<typename T>

T * IsoSpec::Allocator< T >::makeCopy | ( | const T * | conf | ) |

inline

Definition at line 60 of file allocator.h.

## newConf()

template<typename T>

T * IsoSpec::Allocator< T >::newConf | ( |  | ) |

inline

Definition at line 50 of file allocator.h.

## shiftTables()

template<typename T>

void IsoSpec::Allocator< T >::shiftTables | ( |  | ) |

Definition at line 42 of file allocator.cpp.

The documentation for this class was generated from the following files:

- /build/isospec-8QB56o/isospec-2.3.2/src/IsoSpec++/allocator.h
- /build/isospec-8QB56o/isospec-2.3.2/src/IsoSpec++/allocator.cpp